# Class FileUploadFileCountLimitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.fileupload2.core.FileUploadException
org.apache.commons.fileupload2.core.FileUploadSizeException
org.apache.commons.fileupload2.core.FileUploadFileCountLimitException

All Implemented Interfaces:
  `Serializable`

public class FileUploadFileCountLimitException extends FileUploadSizeException
Signals that a request contains more files than the specified limit.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileUploadFileCountLimitException(String message, long limit, long actual)`
Constructs an instance.

## Method Summary

### Methods inherited from class FileUploadSizeException

`getActualSize, getPermitted`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileUploadFileCountLimitException

public FileUploadFileCountLimitException(String message, long limit, long actual)
Constructs an instance.

Parameters:
  `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
  `limit` - The limit that was exceeded.
  `actual` - The actual value.